function benchmark_mcm_methods(n_range, exact_result, methods, output_file)
    method_count = length(methods);
    int = sd = zeros(length(n_range), method_count);

    for i = 1:length(n_range)
        for j = 1:method_count
            [m, v] = methods(j).evaluate(n_range(i));
            int(i, j) = m;
            sd(i, j) = sqrt(v);
        end
    end

    fig = figure('visible', 'off', 'graphicssmoothing', 'on');
    subplot(2, 1, 1, 'position', [0.1 0.565 0.85 0.4]);

    hold on;
    for j = 1:method_count
        plot(n_range, abs(int(:, j) - exact_result), 'linewidth', 7);
    end
    hold off;

    set(gca, 'xtick', []);
    xlim([min(n_range), max(n_range)]);
    legend({methods.name});
    ylabel('Absolute error');

    subplot(2, 1, 2, 'position', [0.1 0.115 0.85 0.4]);

    hold on;
    for j = 1:method_count
        plot(n_range, sd(:, j), 'linewidth', 7);
    end
    hold off;

    xlim([min(n_range), max(n_range)]);
    xlabel('Iteration count');
    ylabel('\sigma estimate');

    export_plot(fig, output_file);
end
