function benchmark_qmcm_sequences(n_range, exact_result, sequences, output_file)
    global a;
    global b;

    seq_count = length(sequences);
    int = zeros(length(n_range), seq_count);

    for i = 1:length(n_range)
        for j = 1:seq_count
            int(i, j) = quasi_mcm(@integrand, a, b, n_range(i), sequences(j).generator);
        end
    end

    fig = figure('visible', 'off', 'graphicssmoothing', 'on');

    hold on;
    for j = 1:seq_count
        plot(n_range, abs(int(:, j) - exact_result), 'linewidth', 7);
    end
    hold off;

    xlim([min(n_range), max(n_range)]);
    legend({sequences.name});
    xlabel('Iteration count');
    ylabel('Absolute error');

    export_plot(fig, output_file);
end
